All Classes and Interfaces
Class
Description
Base implementation of a binder.
Manages the binder's listeners, the binding properties, and the validation scope.
Manages the binder's listeners, the binding properties, and the validation scope.
Common implementation of a binding.
Base implementation of a binding factory.
Creates
Creates
DefaultBindingMembers and, unless configured otherwise via
AbstractBindingFactory.putBindableElementClass(Class, Class), DefaultBindableElements.Base implementation for class mappers.
Implements lenient (superclass/interface) and package (class base names) lookup.
Implements lenient (superclass/interface) and package (class base names) lookup.
Base class of a connection.
Base class for connection pools.
The pooling parameters are optionally defined in the URI query string:
The pooling parameters are optionally defined in the URI query string:
initial: the initial pool size (default 1)
increment: the number of connections to add if all are in use (default 1)
minimum: the minimum pool size (default 1)
maximum: the maximum pool size (default 0, i.e. unlimited)
idle: the idle timeout in minutes (default 10)
usage: the maximum usage time in minutes (default 0, i.e. unlimited)
Base class for dictionary-aware trip types.
An abstract interceptor.
Processor for annotations annotated with
Provides annotation checking during compilation and IDE editing.
@Interception.Provides annotation checking during compilation and IDE editing.
Base class of the keyrings.
Base implementation of a mapped diagnostic context.
Object validator base class.
Object validators have neither a value nor a condition.
Object validators have neither a value nor a condition.
Base implementation of a pool managing
It allows min/max sizes, fixed increments, and timeouts for unused and long-used instances.
Poolable resources.It allows min/max sizes, fixed increments, and timeouts for unused and long-used instances.
A slot holding a poolable managed by a pool.
While the poolable is lent, the slot holds only a weak reference to it, so that lent but never returned poolables can be detected via
While the poolable is lent, the slot holds only a weak reference to it, so that lent but never returned poolables can be detected via
AbstractPoolSlot.isUnreferenced().Base class for all predefined array types.
An abstract repeatable validator.
Base class for validation scope implementations.
Abstract implementation of a script.
Common code for scripting languages.
Languages are equal if their names are equal.
Languages are equal if their names are equal.
Converts a validator message script.
Common implementation for service annotation processors.
Provides helper methods to verify the annotated classes and reports abstract classes as errors.
Provides helper methods to verify the annotated classes and reports abstract classes as errors.
Base implementation of a task.
The task listeners are fired when the dispatcher sets the started and completed timestamps.
The task listeners are fired when the dispatcher sets the started and completed timestamps.
Base class for transport implementations.
Base class for
Provides the given serializable fields (neither static, transient nor annotated with @
TripComponentProvider implementations.Provides the given serializable fields (neither static, transient nor annotated with @
TripIgnore)
of the class and its superclasses as components.Base class for all trip types.
Base implementation for validation results.
An abstract validator.
Similar to
Consumer but allows checked exceptions.Shortcut to add some value.
Processor for all interception annotations in the core package.
Applies to interceptors applicable to methods of interfaces extending
Applies to interceptors applicable to methods of interfaces extending
Interceptable or
of classes implementing Interceptable.Validation scope that applies to all scopes.
Validators configured with this scope are applied in any effective scope, and an effective scope of this kind applies all validators.
Validators configured with this scope are applied in any effective scope, and an effective scope of this kind applies all validators.
All scope default implementation.
Applies to all scopes.
Applies to all scopes.
A Writer to an Appendable.
Fallback for arrays of objects w/o a dedicated trip type.
This is the core type for the majority of object arrays.
This is the core type for the majority of object arrays.
Builder for array types.
Trip type for
BigDecimal.Annotates a member of a class for eligibility in GUI bindings.
Cache for bindable elements per class.
A bindable element.
The Binder that associates components with object binding paths.
Binding between a class member and some related component.
A binding event.
Fired to the
Fired to the
ToViewListeners and ToModelListeners before the value is transferred
between model and view.The kind of transfer.
Binding exception.
The binding factory.
A member in the binding chain.
ToViewListeners and ToModelListeners may throw a BindingVetoException to
inhibit the transfer of data between the view and the model,
respectively vice versa.An input stream waiting for data available in a
The data written so far is moved from the output stream into this input stream, i.e. the output stream is reset.
NotifyingByteArrayOutputStream.The data written so far is moved from the output stream into this input stream, i.e. the output stream is reset.
A blocking holder.
Trip type for
Boolean[] array.Trip type for
boolean[] array.Trip type for the
boolean primitive.Trip type for
Boolean.Trip type for
Byte[] array.Trip type for
byte[] array.Trip type for the
byte primitive.Trip type for
Byte.Handles a remote call.
Runs in a regular thread.
Runs in a regular thread.
Annotation to mark a class or one of its constructors being constructed by a builder.
Annotation to mark a constructor as a canonical constructor.
Either the constructor's parameters are annotated with
Either the constructor's parameters are annotated with
CanonicalName or
the corresponding members must be annotated with CanonicalField or CanonicalGetter.Annotation to mark a field as an argument for a canonical constructor.
Annotation to mark a method as a getter to provide an argument for a canonical constructor.
The method must be public and have no parameters.
The method must be public and have no parameters.
Utility to canonicalize objects.
Annotation to mark a parameter with a canonical name.
Necessary to derive the parameter name via reflection, unless the code was compiled with the
Necessary to derive the parameter name via reflection, unless the code was compiled with the
javac -parameters option,
which we don't want to require for Tentackle applications.Properties with defaults for TRIP.
The annotated element is changeable.
Annotations used to determine whether a UI-component is changeable must implement this interface.
Repeating container annotation for
Changeable.Implementation of the
Changeable-validator.Validation scope for the changeable attribute of UI components.
Changeable scope default implementation.
Trip type for
Character[] array.Trip type for
char[] array.Trip type for the
char primitive.Trip type for
Character.A visitor for constructors with a single argument of a given class or one of its subtypes.
Listener invoked when a class is mapped the first time.
Maps names or classes to classes.
Factory for
ClassMappers.Maps a class or interface to a list of service classes.
Used for mapped services to collect all services in the classpath, not only the first.
Used for mapped services to collect all services in the classpath, not only the first.
A TripComponent implementation for a class component type.
Used for the interfaces of dynamic proxies and the component type of arrays.
Used for the interfaces of dynamic proxies and the component type of arrays.
Trip type for
Class.Return values of remote calls can implement this interface.
It is used to programmatically request the client to release or close the transport(s) after having received the return value of a remote method invocation.
It is used to programmatically request the client to release or close the transport(s) after having received the return value of a remote method invocation.
Trip type for
Collections.Returned by
CollectionTripType.readHeader(TripStream, OpCode).Builder for collection types.
Command line arguments and options.
User- and System-Preferences combined.
A compound value.
The value type of strings.
Transport implementation for compressed and encrypted TCP.
Uses a
Uses a
Cryptor for symmetric encryption.Stream to read compressed data from the underlying input stream.
Stream to write compressed data to the underlying output stream.
Transport implementation for compressed SSL over TCP.
Packets smaller than the URI query parameter
Packets smaller than the URI query parameter
mincompress (default 1024) are not compressed.Transport implementation for compressed TCP.
Packets smaller than the URI query parameter
Packets smaller than the URI query parameter
mincompress (default 1024) are not compressed.Methods related to concurrency and multithreading.
An outgoing connection from a client to a server.
Handler for a new incoming connection.
A pool slot holding a TRIP client
An unused connection that has been closed is obsolete and will be removed from the pool.
Connection.An unused connection that has been closed is obsolete and will be removed from the pool.
A convertible object.
A copy-on-write wrapper for collections.
The first modifying operation creates a clone to leave the original collection untouched.
The first modifying operation creates a clone to leave the original collection untouched.
Wrapper for an iterator that forbids invocations of the
remove() method.A copy-on-write wrapper for lists.
The first modifying operation creates a clone to leave the original list untouched.
The first modifying operation creates a clone to leave the original list untouched.
Wrapper for a list iterator that forbids modifying method invocations.
A copy-on-write wrapper for sets.
The first modifying operation creates a clone to leave the original set untouched.
The first modifying operation creates a clone to leave the original set untouched.
Converts values to or from a string separated by delimiters.
Implements RFC 4180 as well.
Implements RFC 4180 as well.
A supervisor controlling the life cycle of daemons.
The daemon termination info.
Filter to prepare dates with separators for the
NumberShortcut.Utility methods related to the
java.time API.Trip type for
Date.Stream to read encrypted data from the underlying input stream.
Default implementation of the cache for bindable elements per class.
A bindable element.
Default implementation of
BindingMember.A default implementation of a class mapper.
The map is either initialized from a map, a
The map is either initialized from a map, a
Properties-object, which in turn
could be loaded from a properties file, an XML-file or constructed at runtime,
or from the mapped services found by the ServiceFactory.The default class mapper factory.
Default implementation of a low-level deserializer.
Default implementation of a dictionary.
Default implementation of a dictionary entry.
Entries are equal if their ordinals are equal.
Entries are equal if their ordinals are equal.
A component of a dictionary entry.
Default implementation of an
Creates a dynamic proxy with an
InterceptableFactory.Creates a dynamic proxy with an
InterceptableInvocationHandler.The default keyring factory.
Pluggable logger using the standard java logging via
java.util.logging.Default implementation for the logger factory.
The MDC implementation for the java util logging.
Although MDC is not supported by the Java logging API and its formatters, this implementation keeps a thread-local map of properties so that there's no difference to the application concerning the effective logging provider.
Although MDC is not supported by the Java logging API and its formatters, this implementation keeps a thread-local map of properties so that there's no difference to the application concerning the effective logging provider.
Predefined operation codes.
Wraps a java util preferences node into a
PersistedPreferences node.Factory for
Use case is to map invocations of PersistedPreferences by the framework or applications back to the standard java util prefs.
Preferences wrapped by PersistedPreferences.Use case is to map invocations of PersistedPreferences by the framework or applications back to the standard java util prefs.
Default properties resource based on
The name is first tried as a file and, if there is no such file, as a classpath resource.
FileHelper.The name is first tried as a file and, if there is no such file, as a classpath resource.
The default implementation of
Registry.The default implementation of a remote delegate.
The default validation scope.
Default implementation of a script factory.
Default implementation of a low-level serializer.
The default severity.
Applies if a validator does not configure a severity.
Applies if a validator does not configure a severity.
Implements the default severity.
A thread executing tasks in a serialized manner.
Lock for the
DefaultTaskDispatcher.Default implementation of a
Transports are leased: each request increments a lease counter, each release decrements it.
TransportManager.Transports are leased: each request increments a lease counter, each release decrements it.
Default implementation of a trip factory.
Default implementation of a
TripStream.The default type builder factory.
Multidimensional arrays are built by the builder for
Multidimensional arrays are built by the builder for
Object[], dynamic proxies by the one for
Proxy.Default implementation of a validation context.
Default implementation of a
ValidationContextFactory.Default implementation of a validation scope factory.
Default implementation of a validation severity factory.
Default compound value factory for validators.
Delegate descriptor returned if the return value of a remote call is
itself a remote object.
Low-level deserializer for primitive values and raw bytes.
Utilities for diagnostic purposes.
Dictionary of the classes sent over the wire.
Dictionary entry.
Maps an ordinal to an object class along with optional components defining a contract for a stream.
Sent over the wire as a simple DTO.
Only concrete classes and records become part of the dictionary, no abstract classes and no interfaces.
Maps an ordinal to an object class along with optional components defining a contract for a stream.
Sent over the wire as a simple DTO.
Only concrete classes and records become part of the dictionary, no abstract classes and no interfaces.
A component of a dictionary entry.
Trip type for
DictionaryEntry.Trip type for disallowed types.
This type is used to programmatically prevent instances of certain classes to be deserialized.
The application usually replaces
This type is used to programmatically prevent instances of certain classes to be deserialized.
The application usually replaces
ObjectTypeBuilder with its own builder,
which checks for allowed classes and returns this type for all others.Trip type for
Double[] array.Trip type for
double[] array.Trip type for the
double primitive.Trip type for
Double.Marker interface for dummy delegates.
Allows
Allows
Mixins with a valid delegate class to be treated as dummy mixins.Echoing transmitter/receiver for low-level serializing/deserializing w/o a transport layer.
An object that provides the effective class.
Transport implementation for encrypted TCP.
Uses a
Uses a
Cryptor for symmetric encryption.Stream to write encrypted data to the underlying output stream.
Trip type for
EnumMaps.Trip type for
EnumSets.A TripComponent implementation for enums.
Fallback for enums w/o a dedicated trip type.
This is the core type for the majority of enums.
This is the core type for the majority of enums.
Builder for enum types.
The annotated element must be equal to another value.
Repeating container annotation for
Equal.Implementation of the
Equal-validator.The validation results must contain at least one failed result.
Used to abort the validation with a
Used to abort the validation with a
ValidationFailedException.Type of validation results collected so far.
Repeating container annotation for
Fail.Simple failed result.
Created by the
Created by the
MajorSeverity.Implementation of the
Fail-validator.The annotated element must be false.
Repeating container annotation for
False.Implementation of the
False-validator.A compressed output stream using the fastest compression level.
Best suited for network traffic, where latency matters more than the compression ratio.
Best suited for network traffic, where latency matters more than the compression ratio.
A TripComponent implementation for fields.
Trip type for
Float[] array.Trip type for
float[] array.Trip type for the
float primitive.Trip type for
Float.Formatting helper methods.
Patterns to initialize formatting.
The annotated element must be greater than another value.
Repeating container annotation for
Greater.Implementation of the
Greater-validator.The annotated element must be greater than or equal to another value.
Repeating container annotation for
GreaterOrEqual.Implementation of the
GreaterOrEqual-validator.Processor for the hidden interception annotations in the core package.
Applies to interceptors applicable to methods of classes implementing
Applies to interceptors applicable to methods of classes implementing
Interceptable only.A generic consumer and supplier to hold some object.
Useful in lambdas if some data has to be set within the enclosing method.
Useful in lambdas if some data has to be set within the enclosing method.
Trip type for
I18NText.Objects that can be identified by an ID.
Key for an
Composed of the class and the ID.
Identifiable.Composed of the class and the ID.
A map of
Identifiables.The indexed remote call.
Used when the method's index is known, i.e. after the first invocation of the method (see
Used when the method's index is known, i.e. after the first invocation of the method (see
InitialRemoteResponse.methodIndex()).The response of an indexed remote call.
A tuple holding the ID, serial and name of an object.
There is no further logic.
There is no further logic.
A tuple holding the ID and the serial of an object.
There is no further logic.
There is no further logic.
Objects implementing this interface may be mutable or immutable.
Enhanced collection.
Trip type for immutable collections.
Runtime exception thrown on an attempt to modify an immutable object.
Trip type for immutable maps.
A cache to access methods of a class by an index.
There is one such cache per class.
The cache is thread-safe.
There is one such cache per class.
The cache is thread-safe.
Simple informational result.
Created by the
Created by the
MinorSeverity.A thread-inheritable thread-local hashtable.
The remote call.
Used when the method is called the first time on the remote object.
Used when the method is called the first time on the remote object.
The remote call's response.
Trip type for
Instant.Trip type for
Integer[] array.Trip type for
int[] array.Trip type for the
int primitive.Trip type for
Integer.Validation scope for user interaction.
Interactive scope default implementation.
Marker interface making objects interceptable.
Interceptables are usually interfaces instantiated by a dynamic proxy.
Interceptables are usually interfaces instantiated by a dynamic proxy.
Factory to create interceptable objects.
Invocation handler for
Interceptables.A method wrapper to optionally invoke the interceptors around a delegate's method.
A method cache for
InterceptableInvocationHandlers.Invoker for
Optionally logs and counts method invocations.
There is one invoker per interceptable type, e.g.
InterceptableMethods.Optionally logs and counts method invocations.
There is one invoker per interceptable type, e.g.
Annotation to mark another annotation as an interception.
the interceptor type.
Processor for the
Provides annotation checking during compilation and IDE editing.
@Interception annotation.Provides annotation checking during compilation and IDE editing.
Annotation to express that the annotated class implements an
Interceptable interface.Utility methods for interception handling.
A method interceptor.
Component provider for
InvocationTargetException.Instance creator for
The target exception can only be passed to the constructor.
InvocationTargetException.The target exception can only be passed to the constructor.
Wrapper type using Java Object Serialization (JOS).
This is the last resort if the class cannot be serialized via TRIP, and it is not possible to provide a
This is the last resort if the class cannot be serialized via TRIP, and it is not possible to provide a
TripComponentProvider,
a CanonicalConstructor,
a TripInstanceCreator
or an application-specific TripType,
for whatever reason.A store for secrets, such as passwords or tokens, kept on the local machine.
Thrown if the credential store cannot be accessed.
Factory providing the
Keyring.A thread that may be killed.
Wrapper type for lambdas.
By default, lambda serialization is disabled.
By default, lambda serialization is disabled.
The annotated element must be less than another value.
Repeating container annotation for
Less.Implementation of the
Less-validator.The annotated element must be less than or equal to another value.
Repeating container annotation for
LessOrEqual.Implementation of the
LessOrEqual-validator.Trip type for
LocalDateTime.Trip type for
LocalDate.Trip type for
Locale.Trip type for
LocalTime.Annotation to express that the annotated method should be logged.
The method's execution time is logged after it returns, if the logging level is loggable.
The method's execution time is logged after it returns, if the logging level is loggable.
An interface telling whether an object is loggable or not.
A pluggable logger.
Logging levels.
Factory for pluggable loggers.
Output stream for a logger.
Nice to catch
Nice to catch
e.printStackTrace(Stream).A logging runnable.
Wraps a runnable and logs its start and duration, if the level is loggable.
Wraps a runnable and logs its start and duration, if the level is loggable.
Implementation for the
Logs the execution time of the intercepted method.
Log interception.Logs the execution time of the intercepted method.
Trip type for
Long[] array.Trip type for
long[] array.Trip type for the
long primitive.Trip type for
Long.Loopback call handler for testing purposes.
Loopback connection for testing purposes.
Loopback connection handler for testing purposes.
The loopback client connection pool for testing purposes.
The connection pool also maintains the server-side transport (since there is only one connection pool maintained by the client-side transport).
The connection pool also maintains the server-side transport (since there is only one connection pool maintained by the client-side transport).
Loopback transport for testing purposes.
A major severity.
Implements the major severity.
Creates a
Creates a
FailedValidationResult.The annotated element is mandatory.
Annotations used to determine whether a UI-component is mandatory must implement this interface.
Repeating container annotation for
Mandatory.Implementation of the
Mandatory-validator.Validation scope for the mandatory attribute of UI components.
Mandatory scope default implementation.
A mapped diagnostic context.
Provides thread-local optional key-value pairs to enhance logging.
Provides thread-local optional key-value pairs to enhance logging.
Trip type for
Maps.Returned by
MapTripType.readHeader(TripStream, OpCode).Builder for map types.
A keyring kept in memory.
Annotation for a script converter for validator messages.
Cache to speed up method lookup by reflection.
Method statistics collector.
Counts the invocations and durations per method and serviced class.
Counts the invocations and durations per method and serviced class.
Method key for collecting method statistics.
A TripComponent implementation for getter/setter pairs.
Used for getters annotated with
Used for getters annotated with
CanonicalGetter that are not backed
by a serializable field, and by TripComponentProviders such as the
ThrowableComponentProvider.A minor severity.
Implements the minor severity.
Creates an
Creates an
InfoValidationResult.Bundle for the misc package in tentackle-core.
Error handler to add a missing zone offset.
Appends the current default offset.
Appends the current default offset.
Error handler to add, expand or insert a missing time.
Error handler to add a missing timezone.
Appends the default timezone.
Appends the default timezone.
Mixin to implement dynamic proxies.
Interface for objects that can tell whether they are modified or not.
A mutable
ByteArrayInputStream.Thread-safe named counter.
Thread-safe named value.
A type visitor that checks whether an executable, usually a constructor, takes no arguments.
The annotated element must not be empty.
Repeating container annotation for
NotEmpty.Implementation of the
NotEmpty-validator.The annotated element must not be equal to another value.
Repeating container annotation for
NotEqual.Implementation of the
NotEqual-validator.A byte array output stream notifying waiting threads when data was written or the stream was reset.
Marks a method that the framework itself invokes directly, bypassing the interceptor
chain entirely.
The annotated element must not be null.
Implies that the element is mandatory.
Implies that the element is mandatory.
Repeating container annotation for
NotNull.Implementation of the
NotNull-validator.The annotated element must not be 0 (zero).
Repeating container annotation for
NotZero.Implementation of the
NotZero-validator.Shortcut to replace the value with the current time and/or date.
The annotated element must be null.
Repeating container annotation for
Null.Implementation of the
Null-validator.Shortcut to derive a
The corresponding part is updated and the remaining parts (to the right) are set to their minimum value.
Temporal from a numeric input.The corresponding part is updated and the remaining parts (to the right) are set to their minimum value.
Provides the input windows for year, month and day.
Fallback for objects w/o a dedicated trip type.
This is the core type for the majority of objects.
This is the core type for the majority of objects.
Fallback builder for all other object types.
Creates a
Creates a
JOSTripType for classes annotated with @TripViaJOS, a LambdaTripType
for lambdas, and an ObjectTripType otherwise.Object utility methods.
Trip type for
OffsetDateTime.Filter to process a zone offset.
Shortcut for a
ZoneOffset.Trip type for
OffsetTime.Operation Code.
The op-code is the first byte of a serialized block and describes how to process the following bytes, up to the next op-code.
The op-code is the first byte of a serialized block and describes how to process the following bytes, up to the next op-code.
Code category to speed up type lookups.
An input stream that reads packets with a header holding the packet size.
The header is read as 2 bytes, low byte first.
The header is read as 2 bytes, low byte first.
An output stream that writes packets with a header holding the packet size.
The header is written as 2 bytes, low byte first.
The header is written as 2 bytes, low byte first.
The annotated element must match a regular expression.
Repeating container annotation for
Pattern.Implementation of the
Pattern-validator.Persisted Preferences.
Factory for
PersistedPreferences.Validation scope for persistence.
Persistence scope default implementation.
A pool managing poolable resources.
A resource that can be managed by a
Pool.A slot in a pool.
Timeout thread to monitor
There is only one such thread for all pools.
Pools.There is only one such thread for all pools.
Predefined array type.
Predefined array types.
A subcode for the predefined array type op-code.
A subcode for the predefined array type op-code.
A keyring kept in the Java user preferences.
A TripComponent implementation for fields of a primitive type.
The primitive kinds a field can have.
Trip type for the priority queues, i.e.
Loads properties from some resource and applies them to a
Implementations must be annotated with @
Properties object.Implementations must be annotated with @
PropertiesResourceService.Annotation for
PropertiesResources.Event fired when a property is modified.
Listener to track property modifications.
A property map.
Provides the functionality of a map for the properties of a bean.
Provides the functionality of a map for the properties of a bean.
Describes the mapping of a property.
Properties can be either is/set-pairs or get/set-pairs of methods or some other readonly method.
Properties can be either is/set-pairs or get/set-pairs of methods or some other readonly method.
Replacement for
java.beans.PropertyChangeSupport, which belongs to the java.desktop module
since Java 9.Similar to
Supplier but allows checked exceptions.Fallback for dynamic proxies w/o a dedicated trip type.
This is the core type for the majority of dynamic proxies.
This is the core type for the majority of dynamic proxies.
Builder for dynamic proxy types.
Processor for the public interception annotations in the core package.
Applies to interceptors applicable to methods of interfaces extending
Applies to interceptors applicable to methods of interfaces extending
Interceptable only.Exception thrown if a resource has been reconnected.
When an application catches this exception, it indicates that the resource has been reconnected while the cause holds the exception that triggers the reconnection, i.e., the original resource failure.
When an application catches this exception, it indicates that the resource has been reconnected while the cause holds the exception that triggers the reconnection, i.e., the original resource failure.
Policy to reconnect a dead resource.
A simple reconnector.
Reconnects resources according to their
Reconnects resources according to their
ReconnectionPolicy, either in the
current thread (blocking) or in a background thread.A TripComponent implementation for record types.
Record components have no default values and are never set individually: the record is created via its canonical constructor.
Record components have no default values and are never set individually: the record is created via its canonical constructor.
Fallback for records w/o a dedicated trip type.
This is the core type for the majority of records.
Since records are immutable, all their components must be known before a record can be instantiated.
This is the core type for the majority of records.
Since records are immutable, all their components must be known before a record can be instantiated.
Builder for record types.
A reference to an object within a stream.
Sends an object reference as a compact reference ID of 1 to 4 bytes.
Methods related to the reflection API.
The canonical builder info.
A reflective visitor to add application-specific functionality to existing objects.
Registry for remote delegates.
All remote delegates must be registered at the registry before their target object can be used as a remote object.
All remote delegates must be registered at the registry before their target object can be used as a remote object.
Interface for remote objects.
Interface for remote calls.
A remote delegate.
Receives calls from the remote side, invokes the methods on the target object and returns the results.
Receives calls from the remote side, invokes the methods on the target object and returns the results.
The invocation handler for remote interfaces.
Remote interface to look up named remote objects.
Implemented by the server's
Implemented by the server's
Registry, which is always available under Registry.REGISTRY_ID.Interface for remote responses.
The root of a remote object tree.
The delegates of remote objects are automatically unregistered if their parent delegates are unregistered.
The delegates of remote objects are automatically unregistered if their parent delegates are unregistered.
Annotation to express that the annotated class is an implementation of a remote interface.
Annotation to mark another annotation as a repeatable container annotation for a validation annotation.
The repeatable container validator.
Interface for cleanup services like cleanup threads.
A configurator for default scopes.
A generic script.
Converts a script according to a given language.
Used to translate application-specific shortcuts before the script is compiled.
Used to translate application-specific shortcuts before the script is compiled.
A factory for scripts.
Interface tentackle scripting languages must implement.
Script exception.
Script variable.
Variables are identified by their name, i.e. equality refers to the name only.
Variables are identified by their name, i.e. equality refers to the name only.
A scrollable resource.
A
A
ScrollableResource is a wrapper around a resource.A confidential character sequence, such as a password or an access token.
The identity of a secret in a
Keyring.Converts secrets between characters and UTF-8 bytes without ever creating a
String.Low-level serializer for primitive values and raw bytes.
Identifiable providing a serial number.
Trip type for
Short[] array.A short and a long text.
Trip type for
short[] array.Trip type for the
short primitive.Trip type for
Short.The annotated element size must be between the specified boundaries (included).
Repeating container annotation for
Size.Implementation of the
Size-validator.Parser for
Temporal date and time types with smart syntax support.Parse exception handler.
Shortcut for date- or time input.
Filter applied to the input.
Returns the possibly modified text.
Returns the possibly modified text.
A part within a string.
Interface for objects providing the snapshot functionality.
The server socket accept-loop for incoming TCP connections.
A simple implementation of a dispatcher accepting incoming socket channels from client connections.
Trip type for
SortedMaps, i.e.Trip type for
SortedSets, i.e.Resolves the SSL/TLS configuration for the TCP socket factories.
Transport implementation for SSL over TCP.
Trip type for
StackTraceElement.Statistics result for execution count and durations.
Trip type for
String[] array.String type.
A segment of string.
Describes a substring by its indexes within a string.
The substring itself is built lazily, thus allowing index computations without string creations.
Describes a substring by its indexes within a string.
The substring itself is built lazily, thus allowing index computations without string creations.
A type visitor that finds type matches in supertypes as well.
The visitor parameter is the class to look for.
The visitor parameter is the class to look for.
A thread being supervised by a
DaemonSupervisor.A task being executed by the
TaskDispatcher.A dispatcher executing tasks in a serialized manner.
The lock of a task dispatcher.
Runtime exception for tasks and task dispatching.
A listener for
Task-related events.TCP connection.
The TCP client connection pool.
A TCP server socket factory with configurable SSL/TLS support.
A TCP client socket factory with configurable SSL/TLS support.
Transport implementation for TCP.
Component provider for
TentackleRuntimeException.Something that can be terminated gracefully.
Useful for
Useful for
Threads.Component provider for
The message, cause and stack trace are accessed via their getters, since the JDK's fields are not accessible.
Throwable.The message, cause and stack trace are accessed via their getters, since the JDK's fields are not accessible.
Trip type for
Throwable.Builder for exception types.
A duration.
Trip type for
Timestamp.Trip type for
Time.Trip type for
TimeZone.A listener invoked before the binding updates the model with the view's value.
A listener invoked before the binding will update the view with the model's value.
Implementation of a
TrackedList based on an ArrayList.A
List with the ability to tell whether it has been structurally modified.A listener for
TrackedList events.The transport layer.
The client information.
The
Transport key.Maintains transports.
Annotation to express that the annotated class is an implementation of a
Transport.Describes a component within a class, record, or enum.
Provides the components of a type.
Implementations must be annotated with
Implementations must be annotated with
TripComponentProviderService.Annotation to express that the annotated class is the
TripComponentProvider
for the given class.Some constants used in the Trip protocol.
Annotation to define whether instances of the annotated class are subject to deduplication or not.
Special kind of
TripRuntimeException used in conjunction with
OpCodeCategory.ERROR.Factory for creating various TRIP objects.
Decides which components of an object are serialized.
Annotation to mark a field or method to be ignored by TRIP.
Creates an instance of a class.
Must be annotated with
Instance creators are used if there is no public no-arg constructor, and it is not possible to define a
Must be annotated with
TripInstanceCreatorService.Instance creators are used if there is no public no-arg constructor, and it is not possible to define a
CanonicalConstructor.Annotation to express that the annotated class is a creator for the given class.
This is a workaround for classes that don't provide a no-args constructor but cannot be annotated with
The annotated class must implement the
This is a workaround for classes that don't provide a no-args constructor but cannot be annotated with
CanonicalConstructor since they
are 3rd party or cannot be modified for other reasons.The annotated class must implement the
TripInstanceCreator interface for the given class.Trip instantiation exception.
This exception is thrown if an object to be serialized or deserialized cannot be instantiated.
This exception is thrown if an object to be serialized or deserialized cannot be instantiated.
Trip exception if a remote delegate is not registered.
Object serializer using the TRIP serialization format.
The serialized data is self-contained, i.e. it includes the dictionary entries.
The serialized data is self-contained, i.e. it includes the dictionary entries.
Annotation to define whether the annotated class is referencable or not.
Trip runtime exception.
Annotation to define whether instances of the annotated class are serializable or not.
Annotation to express that serializing lambdas is enabled for the annotated class.
The stream to read and write trip objects.
Trip stream closed exception.
A serializable data type.
The trip type applies to the local JVM only and is never sent over the wire.
Notice:
The trip type applies to the local JVM only and is never sent over the wire.
Notice:
TripTypes are singletons and must not maintain any state
to provide thread-safety!A factory for
TripTypeBuilders.Annotation to express that the annotated class
is a
TripTypeBuilder for implementations of given interface
or extensions of given class.Type category.
Annotation to express that the annotated class is an implementation of a
TripType.Annotation to express that the annotated class
must be serialized via the old-school Java Object Serialization (JOS).
The annotated element must be true.
Repeating container annotation for
True.Implementation of the
True-validator.Some URI helper methods.
The tentackle directory within the user's home.
Used to cache files, such as preferences, keyrings or downloaded updates.
Used to cache files, such as preferences, keyrings or downloaded updates.
Trip type for
UUID.Validates a component of the object.
There are 2 use-cases for this annotation: Validate the contents of an application-specific datatype.
There are 2 use-cases for this annotation: Validate the contents of an application-specific datatype.
An object that provides its own validation.
Repeating container annotation for
Validate.Implementation of the
Validate-validator.Annotation to mark another annotation as a validation annotation
and to establish a link between the validation annotation and
the validator implementation.
The validation context.
Factory for validation contexts.
A validation event.
Fired after a binding has been validated.
Fired after a binding has been validated.
Exception thrown if a validation fails logically.
A listener that gets invoked after a binding has been validated.
A mapper to translate validation paths to binding paths.
The result of a validation.
A collection index within a validation path.
Exception thrown to indicate that the validation could not be applied.
A validation scope.
Factory for validation scope singletons.
Annotation to express that the annotated class
is an implementation of a validation scope.
Annotation for a script converter for value and condition scripts of validators.
A severity associated with a failed validation.
Applications may define their own severities or replace the default ones in order to create application-specific validation results.
Applications may define their own severities or replace the default ones in order to create application-specific validation results.
Factory for validation severity singletons.
Annotation to express that the annotated class
is an implementation of a validation severity.
Utilities for validation.
Mapping result from
ValidationUtilities.mapValidationPath(NavigableSet, Binder, String).Key to identify a validator of a field or method.
Since the validation index is unique per class, field and method annotations of the same attribute get different keys and are both applied.
Since the validation index is unique per class, field and method annotations of the same attribute get different keys and are both applied.
A validator.
Bundle for validators in tentackle-core.
Holds all fixed validators cached for all classes.
Factory to create
CompoundValues for validators.A list of validators.
Same as
Useful if the object is set and retrieved by different threads.
Holder, but with a volatile object reference.Useful if the object is set and retrieved by different threads.
Trip type for JDK collections that provide no usable constructors, such as the
Collections wrappers (unmodifiable, empty, singleton) and
Arrays.asList(T...).Trip type for JDK maps that provide no usable constructors, such as the
Collections wrappers (unmodifiable, empty, singleton).Trip type for the
Collections wrappers of sorted maps, i.e.Trip type for the
Collections wrappers of sorted sets, i.e.The annotated element must be 0 (zero).
Repeating container annotation for
Zero.Implementation of the
Zero-validator.Trip type for
ZonedDateTime.Filter for timezones.
Shortcut for a
ZoneId.